import java.awt.*;

public interface IDrawningObject
{
    //шаг перемещения объекта
    public float Step();

    //установка позиции объекта
    void SetObject(int x, int y, int width, int height);

    //изменение направления перемещения объекта
    void MoveObject(Direction direction);

    //отрисовка объекта
    void DrawningObject(Graphics g);

    //получение текущей позиции объекта
    float[] GetCurrentPosition();

    //получение информации по объекту
    String GetInfo();
}
